summaryrefslogtreecommitdiff
path: root/Master
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2009-12-14 01:46:28 +0000
committerKarl Berry <karl@freefriends.org>2009-12-14 01:46:28 +0000
commit77b453960c6af645f03dc5f66e638dc27724c12d (patch)
treea7dfb85b8dd3b1b7a338f730bf91414d14759ed1 /Master
parent5cda2a5283776c8380e14ca88088f543dd072144 (diff)
new script intended for MacTeX postflight on the
DVD, to copy the TL tree to the install destination. git-svn-id: svn://tug.org/texlive/trunk@16398 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master')
-rwxr-xr-xMaster/tlpkg/libexec/mactex-copy-tl62
1 files changed, 62 insertions, 0 deletions
diff --git a/Master/tlpkg/libexec/mactex-copy-tl b/Master/tlpkg/libexec/mactex-copy-tl
new file mode 100755
index 00000000000..2ef3d1e8ebc
--- /dev/null
+++ b/Master/tlpkg/libexec/mactex-copy-tl
@@ -0,0 +1,62 @@
+#!/bin/sh
+# $Id$
+# Public domain. Originally written by Karl Berry, 2009.
+# Copy TeX Live tree from a SRCDIR to a DESTDIR, using tar.
+# Intended for MacTeX postflight on the DVD, so we don't have two
+# complete copies of TL.
+
+if test $# -ne 2; then
+ echo "Usage: $0 SRCDIR DESTDIR"
+ echo "Copy the TeX Live image in SRCDIR to DESTDIR,"
+ echo "with only the bin/universal-darwin binaries."
+ exit 1
+fi
+
+srcdir=$1
+destdir=$2
+
+if test ! -d "$srcdir"; then
+ echo "$0: $srcdir is not a directory, goodbye." >&2
+ exit 1
+fi
+cd $srcdir || exit 1
+
+bindir=bin/universal-darwin
+if test ! -d $bindir; then
+ echo "$0: $srcdir/$bindir does not exist, goodbye." >&2
+ exit 1
+fi
+
+if test -e "$destdir"; then
+ echo "$0: $destdir already exists, goodbye." >&2
+ exit 1
+fi
+
+mkdir -p "$destdir"
+if test ! -d "$destdir"; then
+ echo "$0: could not make directory $destdir, goodbye." >&2
+ exit 1
+fi
+
+touch "$destdir/testfile"
+if test ! -r "$destdir/testfile"; then
+ echo "$0: could not write in directory $destdir, goodbye." >&2
+ exit 1
+else
+ rm "$destdir/testfile"
+fi
+
+# texmf-{config,var} don't exist in the DVD image, but in case we want
+# to test from an installed hierarchy ...
+exclude="rr_moved|texmf-config|texmf-var|.*\.bat|bin"
+wantedfiles="$bindir "`\ls -1 | grep -E -v "^($exclude)\$"`
+
+# There should be no filenames with spaces or other untoward characters
+# in that list, because we keep TL that way.
+
+echo "$0: Copying these from $srcdir to $destdir:"
+echo $wantedfiles
+echo "$0: This will take a while."
+
+: ${TL_TAR=tar}
+$TL_TAR cf - $wantedfiles | (cd "$destdir" && $TL_TAR xf -)